{
	"dataContractType": {
		"type": "analysisExecuteOrder",
		"version": "1.2.0"
	},
	"dataContract": {
		"autoOrManual": "manual",
		"dataFilter": {
			"powerFarmID": "WOF035900004",
			"turbines": ["WOG00396"],
			"dataBatchNum": "WOF035900004-WOB00005",
			"beginTime": null,
			"endTime": null,
			"excludingMonths": null,
			"customFilter": {
				"valueWindSpeed": {
					"min": null,
					"max": null
				},
				"valuePitchAngle": {
					"min": null,
					"max": null
				},
				"valueActivePower": {
					"min": 250,
					"max": null
				},
				"valueGeneratorSpeed": {
					"min": null,
					"max": null
				}
			}
		},
		"configAnalysis": [
			{
				"package": "algorithm.powerCurveAnalyst",
				"className": "PowerCurveAnalyst",
				"methodName": "executeAnalysis",
				"scada": "minute"
			}
		],
		"graphSets": {
			"DgeneratorSpeed": {
				"step": 5,
				"min": 0,
				"max": 30
			},
			"DgeneratorTorque": {
				"step": 10000,
				"min": 0,
				"max": 10000
			},
			"IgeneratorSpeed": {
				"step": 200,
				"min": 1000,
				"max": 1800
			},
			"IgeneratorTorque": {
				"step": 2000,
				"min": 0,
				"max": 12000
			},
			"cp": {
				"step": 0.5,
				"min": 0,
				"max": 2
			},
			"tsr": {
				"step": 5,
				"min": 0,
				"max": 30
			},
			"pitchAngle": {
				"step": 1,
				"min": -1,
				"max": 20
			},
			"activePower": {
				"step": 250,
				"min": 0,
				"max": 2200
			}
		}
	}
}